package org.apache.commons.lang3.time;

package .tmp;

import java.io.IOException;
import java.util.Calendar;
import org.apache.commons.lang3.time.FastDatePrinter;

class UnpaddedMonthField implements FastDatePrinter.NumberRule {
  static final UnpaddedMonthField INSTANCE = new UnpaddedMonthField();
  
  public int estimateLength() {
    return 2;
  }
  
  public void appendTo(Appendable buffer, Calendar calendar) throws IOException {
    appendTo(buffer, calendar.get(2) + 1);
  }
  
  public final void appendTo(Appendable buffer, int value) throws IOException {
    if (value < 10) {
      buffer.append((char)(value + 48));
    } else {
      FastDatePrinter.access$000(buffer, value);
    } 
  }
}
